Download raw OCR data
curl --request POST \
--url https://api.anycheck.ai/verifications/{id}/download-raw-ocr \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.anycheck.ai/verifications/{id}/download-raw-ocr"
headers = {"X-API-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.anycheck.ai/verifications/{id}/download-raw-ocr', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"header": {
"account_branch": "***** - DIGITAL",
"account_number": "***********270",
"account_type": "Tanda360Plus Digital",
"bank_name": "OCBC NISP",
"currency": "IDR",
"owner_address": "",
"owner_name": "***** ******* RAMADHAN",
"period": "01/12/2021 - 31/12/2021",
"total_pages": 2
},
"item_line": [
{
"balance": "200,000.00",
"balance_number": 200000,
"category_type": "Non-Recurring Miscellaneous Income",
"is_operational": false,
"merchant_name": "***** ******* RAMADHAN",
"page_no": 1,
"trx_date": "03/12/2021",
"trx_mutation_cr": "200,000.00",
"trx_mutation_cr_number": 200000,
"trx_notes": "Transfer Masuk/Incoming Transfer",
"trx_types": "CR"
}
],
"summary": {
"beginning_balance": "0.00",
"beginning_balance_number": 0,
"credit_mutation": "400,000.00",
"credit_mutation_no": 2,
"credit_mutation_number": 400000,
"debit_mutation": "0.00",
"debit_mutation_no": 0,
"debit_mutation_number": 0,
"ending_balance": "200,000.00",
"ending_balance_number": 200000,
"profit_operational": "0.00",
"profit_operational_number": 0,
"total_debit_operasional": "0.00",
"total_debit_operasional_number": 0,
"total_kredit_operasional": "0.00",
"total_kredit_operasional_number": 0
}
}
]Verifications
Download raw OCR data
Download raw OCR extraction data directly as JSON. Returns the raw extracted data from bank statement processing.
POST
/
verifications
/
{id}
/
download-raw-ocr
Download raw OCR data
Authorizations
API key for service-to-service authentication
Path Parameters
Verification ID
Was this page helpful?
⌘I